Jump to content

MediaWiki:Common.css: Difference between revisions

From Oera Linda Wiki
Add top margin to lists in transcriptions on edited transcription pages
Fix front page colours in dark mode
 
(15 intermediate revisions by the same user not shown)
Line 35: Line 35:
}
}


/* Emojis, currently just flags */
 
 
/* Emojis */


.emoji {
.emoji {
Line 53: Line 55:
}
}


.emoji.flag.de { background-image: url(/resources/assets/emoji_flag_de.svg); }
/* Flags */
.emoji.flag.dk { background-image: url(/resources/assets/emoji_flag_dk.svg); }
 
.emoji.flag.es { background-image: url(/resources/assets/emoji_flag_es.svg); }
.emoji.flag.de { background-image: url(/resources/assets/emoji/flag_de.svg); }
.emoji.flag.fi { background-image: url(/resources/assets/emoji_flag_fi.svg); }
.emoji.flag.dk { background-image: url(/resources/assets/emoji/flag_dk.svg); }
.emoji.flag.fr { background-image: url(/resources/assets/emoji_flag_fr.svg); }
.emoji.flag.es { background-image: url(/resources/assets/emoji/flag_es.svg); }
.emoji.flag.fy { background-image: url(/resources/assets/emoji_flag_fy.svg); }
.emoji.flag.fi { background-image: url(/resources/assets/emoji/flag_fi.svg); }
.emoji.flag.fs { background-image: url(/resources/assets/emoji_flag_fs.svg); }
.emoji.flag.fr { background-image: url(/resources/assets/emoji/flag_fr.svg); }
.emoji.flag.is { background-image: url(/resources/assets/emoji_flag_is.svg); }
.emoji.flag.fy { background-image: url(/resources/assets/emoji/flag_fy.svg); }
.emoji.flag.it { background-image: url(/resources/assets/emoji_flag_it.svg); }
.emoji.flag.fs { background-image: url(/resources/assets/emoji/flag_fs.svg); }
.emoji.flag.la { background-image: url(/resources/assets/emoji_flag_la.svg); }
.emoji.flag.is { background-image: url(/resources/assets/emoji/flag_is.svg); }
.emoji.flag.nl { background-image: url(/resources/assets/emoji_flag_nl.svg); }
.emoji.flag.it { background-image: url(/resources/assets/emoji/flag_it.svg); }
.emoji.flag.no { background-image: url(/resources/assets/emoji_flag_no.svg); }
.emoji.flag.la { background-image: url(/resources/assets/emoji/flag_la.svg); }
.emoji.flag.ru { background-image: url(/resources/assets/emoji_flag_ru.svg); }
.emoji.flag.nl { background-image: url(/resources/assets/emoji/flag_nl.svg); }
.emoji.flag.se { background-image: url(/resources/assets/emoji_flag_se.svg); }
.emoji.flag.no { background-image: url(/resources/assets/emoji/flag_no.svg); }
.emoji.flag.uk { background-image: url(/resources/assets/emoji_flag_uk.svg); }
.emoji.flag.ru { background-image: url(/resources/assets/emoji/flag_ru.svg); }
.emoji.flag.se { background-image: url(/resources/assets/emoji/flag_se.svg); }
.emoji.flag.uk { background-image: url(/resources/assets/emoji/flag_uk.svg); }
 
/* SS symbol */
 
.emoji.ss { background-image: url(/resources/assets/emoji/ss.svg); }
.emoji.ss.bold { background-image: url(/resources/assets/emoji/ss_bold.svg); }
.emoji.ss.italic { background-image: url(/resources/assets/emoji/ss_italic.svg); }
 
/* Special treatment to make the SS symbol align better with text */
 
.emoji.ss {
  width: 13px;
  height: 16px;
  margin-bottom: -3px;
  vertical-align: baseline;
}
 
.emoji.ss.bold {
  width: 15px;
}
 
.emoji.ss.italic {
  width: 11px;
}
 
/* Ensure underline remains intact when emoji is underlined */
u .emoji.ss {
  border-bottom: 0.1em solid;
  border-color: inherit;
  margin-bottom: -2.4px;
  margin-left: 0;
  padding-left: 0.04em;
}
 
/* Make white in dark mode */
/* First style is dark mode chosen in dropdown */
/* Second style is automatic mode in dropdown + system dark mode */
 
.skin-theme-clientpref-night .emoji.ss {
  filter: invert(93%);
}
 
@media (prefers-color-scheme: dark) {
  .skin-theme-clientpref-os .emoji.ss {
    filter: invert(93%);
  }
}
 
 


/* Prevent outline from showing when showing/hiding the TOC */
/* Prevent outline from showing when showing/hiding the TOC */
Line 85: Line 137:
   font-weight: bold;
   font-weight: bold;
}
}


/* Fixes specifically for print preview */
/* Fixes specifically for print preview */
@media print {
@media print {


Line 126: Line 181:


}
}


/*
/*
Original styles from Wikipedia, licensed under the Creative Commons Attribution-ShareAlike Licence 3.0.
Original styles from Wikipedia, licensed under the Creative Commons Attribution-ShareAlike Licence 3.0.
They are used to create the coloured sections on the front page.
Used to create the coloured sections on the front page.
*/
*/


Line 243: Line 300:
}
}


@media(max-width:875px) {
@media (max-width:875px) {
   .mw-parser-output #mp-tfp table,
   .mw-parser-output #mp-tfp table,
   .mw-parser-output #mp-tfp tr,
   .mw-parser-output #mp-tfp tr,
Line 260: Line 317:
}
}


@media(min-width:875px) {
@media (min-width:875px) {
   .mw-parser-output #mp-upper {
   .mw-parser-output #mp-upper {
     display: flex
     display: flex
Line 292: Line 349:
   break-inside: avoid-column;
   break-inside: avoid-column;
}
}
/* Dark mode */
/* First style is dark mode chosen in dropdown */
/* Second style is automatic mode in dropdown + system dark mode */
html.skin-theme-clientpref-night .mw-parser-output #mp-topbanner {
  background-color: #171a1d;
  border-color: #676767
}
html.skin-theme-clientpref-night .mw-parser-output #mp-banner {
  background-color: #331a00;
  border-color: #663428
}
html.skin-theme-clientpref-night .mw-parser-output #mp-left {
  background-color: #0b1e1c;
  border-color: #104437
}
html.skin-theme-clientpref-night .mw-parser-output #mp-left .mp-h2 {
  background-color: #104437;
  border-color: #2f4d41
}
html.skin-theme-clientpref-night .mw-parser-output #mp-right {
  background-color: #0d1a27;
  border-color: #082849
}
html.skin-theme-clientpref-night .mw-parser-output #mp-right .mp-h2 {
  background-color: #082849;
  border-color: #a3b0bf
}
html.skin-theme-clientpref-night .mw-parser-output #mp-middle {
  background-color: #270e1a;
  border-color: #882c43
}
html.skin-theme-clientpref-night .mw-parser-output #mp-middle .mp-h2 {
  background-color: #882c43;
  border-color: #926c80
}
html.skin-theme-clientpref-night .mw-parser-output #mp-lower {
  background-color: #130e20;
  border-color: #7545ab
}
html.skin-theme-clientpref-night .mw-parser-output #mp-lower .mp-h2 {
  background-color: #7545ab;
  border-color: #afa3bf
}
html.skin-theme-clientpref-night .mw-parser-output #mp-bottom {
  border-color: #676767
}
html.skin-theme-clientpref-night .mw-parser-output #mp-bottom .mp-h2 {
  background-color: #3d3d3d;
  border-color: #676767
}
@media (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .mw-parser-output #mp-topbanner {
    background-color:#171a1d;
    border-color: #676767
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-banner {
    background-color: #331a00;
    border-color: #663428
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-left {
    background-color: #0b1e1c;
    border-color: #104437
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-left .mp-h2 {
    background-color: #104437;
    border-color: #2f4d41
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-right {
    background-color: #0d1a27;
    border-color: #082849
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-right .mp-h2 {
    background-color: #082849;
    border-color: #a3b0bf
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-middle {
    background-color: #270e1a;
    border-color: #882c43
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-middle .mp-h2 {
    background-color: #882c43;
    border-color: #926c80
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-lower {
    background-color: #130e20;
    border-color: #7545ab
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-lower .mp-h2 {
    background-color: #7545ab;
    border-color: #afa3bf
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-bottom {
    border-color: #676767
  }
  html.skin-theme-clientpref-os .mw-parser-output #mp-bottom .mp-h2 {
    background-color: #3d3d3d;
    border-color: #676767
  }
}


/* Styling of font picker and Fryas text on manuscript pages */
/* Styling of font picker and Fryas text on manuscript pages */
Line 372: Line 555:
   margin-left: -3.2px;
   margin-left: -3.2px;
}
}


/* Side-by-side comparison of manuscript and transcription */
/* Side-by-side comparison of manuscript and transcription */
Line 440: Line 625:


.manuscr_compar > .right > .fryas > p,
.manuscr_compar > .right > .fryas > p,
.manuscr_compar > .right > .fryas > ul,
.manuscr_compar > .right > .fryas > dl,
.manuscr_compar > .right > .fryas > dl,
.manuscr_compar > .right > .fryas > hr,
.manuscr_compar > .right > .fryas > hr,
.manuscr_compar > .right > .fryas > table {
.manuscr_compar > .right > .fryas > table {
   margin: 0.5em 0 0 0;
   margin: 0.5em 0 0 0;
}
.manuscr_compar > .right > .fryas > ul {
  margin: 0.5em 0 0 1em;
}
.manuscr_compar > .right > .fryas > ul > li {
  margin-bottom: 0.2em;
}
.manuscr_compar > .right > .fryas > ul > li:last-child {
  margin-bottom: 0;
}
}


.manuscr_compar > .right > .fryas > p:first-child,
.manuscr_compar > .right > .fryas > p:first-child,
.manuscr_compar > .right > .fryas > ul:first-child,
.manuscr_compar > .right > .fryas > dl:first-child,
.manuscr_compar > .right > .fryas > dl:first-child,
.manuscr_compar > .right > .fryas > hr:first-child,
.manuscr_compar > .right > .fryas > hr:first-child,
.manuscr_compar > .right > .fryas > table:first-child {
.manuscr_compar > .right > .fryas > table:first-child,
.manuscr_compar > .right > .fryas > ul:first-child {
   margin-top: 0;
   margin-top: 0;
}
}
Line 507: Line 703:
   }
   }
}
}


/* Six-spoke wheel on p. 45 and 46 */
/* Six-spoke wheel on p. 45 and 46 */
/* Todo: Replace with SVG */


.circle_cont {
.circle_cont {

Latest revision as of 16:17, 30 July 2026

/* CSS placed here will be applied to all skins */

/* Remove Switch to old look link */
.mw-sidebar-action-content {
  display: none;
}

/* Make all text a little larger. The default font sizes are designed for screens made in 2010. */
html {
  font-size: 110%;
}

/* Do not force the browser to show a scroll bar if there is nothing to scroll down to */
body {
  overflow-y: auto;
}

/* Use a serif font for the body text (of articles and category pages), headers and references */
.mw-parser-output, .mw-category-generated, .mw-headline, .references {
  font-family: "Georgia", "Times", serif;
}

/* Use a sans-serif font for the TOC, since other box elements (e.g. Category) also use a sans-serif font */
.mw-parser-output .toc {
  font-family: sans-serif;
}

/* Make monospaced text a little smaller */
pre, code, tt, kbd, samp, .mw-code {
  font-size: 90%;
}

.grey {
  color: grey;
}



/* Emojis */

.emoji {
  display: inline-block;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  width: 20px;
  height: 20px;
  margin: 0 0.04em -4.6px 0.04em;
}

.emoji.big {
  width: 24px;
  height: 24px;
  margin-bottom: -6.5px;
}

/* Flags */

.emoji.flag.de { background-image: url(/resources/assets/emoji/flag_de.svg); }
.emoji.flag.dk { background-image: url(/resources/assets/emoji/flag_dk.svg); }
.emoji.flag.es { background-image: url(/resources/assets/emoji/flag_es.svg); }
.emoji.flag.fi { background-image: url(/resources/assets/emoji/flag_fi.svg); }
.emoji.flag.fr { background-image: url(/resources/assets/emoji/flag_fr.svg); }
.emoji.flag.fy { background-image: url(/resources/assets/emoji/flag_fy.svg); }
.emoji.flag.fs { background-image: url(/resources/assets/emoji/flag_fs.svg); }
.emoji.flag.is { background-image: url(/resources/assets/emoji/flag_is.svg); }
.emoji.flag.it { background-image: url(/resources/assets/emoji/flag_it.svg); }
.emoji.flag.la { background-image: url(/resources/assets/emoji/flag_la.svg); }
.emoji.flag.nl { background-image: url(/resources/assets/emoji/flag_nl.svg); }
.emoji.flag.no { background-image: url(/resources/assets/emoji/flag_no.svg); }
.emoji.flag.ru { background-image: url(/resources/assets/emoji/flag_ru.svg); }
.emoji.flag.se { background-image: url(/resources/assets/emoji/flag_se.svg); }
.emoji.flag.uk { background-image: url(/resources/assets/emoji/flag_uk.svg); }

/* SS symbol */

.emoji.ss { background-image: url(/resources/assets/emoji/ss.svg); }
.emoji.ss.bold { background-image: url(/resources/assets/emoji/ss_bold.svg); }
.emoji.ss.italic { background-image: url(/resources/assets/emoji/ss_italic.svg); }

/* Special treatment to make the SS symbol align better with text */

.emoji.ss {
  width: 13px;
  height: 16px;
  margin-bottom: -3px;
  vertical-align: baseline;
}

.emoji.ss.bold {
  width: 15px;
}

.emoji.ss.italic {
  width: 11px;
}

/* Ensure underline remains intact when emoji is underlined */
u .emoji.ss {
  border-bottom: 0.1em solid;
  border-color: inherit;
  margin-bottom: -2.4px;
  margin-left: 0;
  padding-left: 0.04em;
}

/* Make white in dark mode */
/* First style is dark mode chosen in dropdown */
/* Second style is automatic mode in dropdown + system dark mode */

.skin-theme-clientpref-night .emoji.ss {
  filter: invert(93%);
}

@media (prefers-color-scheme: dark) {
  .skin-theme-clientpref-os .emoji.ss {
    filter: invert(93%);
  }
}



/* Prevent outline from showing when showing/hiding the TOC */
.toctogglelabel {
  outline: none !important;
}

/* Remove unnecessary bottom margin in the table of contents */
#toc ul, #toc ul > li:last-child {
  margin-bottom: 0;
}

/* Make collapse/expand toggles stay on the left */

.mw-collapsible > .mw-collapsible-toggle {
  float: none;
  font-weight: bold;
}



/* Fixes specifically for print preview */

@media print {

  /* Remove underlines from links */
  a {
    border-bottom: none !important;
  }

  /* Prevent wrapping in the topmost title "Oera Linda Wiki" */
  .mw-logo {
    white-space: nowrap;
  }

  /* Use a serif font for the table of contents */
  #toc, #toc li {
    font-family: "Georgia", "Times", serif;
  }

  /* Add some padding inside the TOC to make it less crammed */
  #toc {
    padding: 0.8em;
  }

  /* Remove an ugly amount of top padding in the TOC */
  #mw-toc-heading {
    margin-top: 0;
  }

  /* Show the chapter numbers in the TOC */
  #toc .tocnumber {
    display: inline;
    padding-right: 0.5em;
  }

  /* Hide the irrelevant bottom footer links (Privacy Policy etc.) */
  #footer-places {
    display: none;
  }

}



/*
Original styles from Wikipedia, licensed under the Creative Commons Attribution-ShareAlike Licence 3.0.
Used to create the coloured sections on the front page.
*/

.mw-parser-output .mp-box {
  border: 1px solid #aaa;
  padding: 0 0.5em 0.5em;
  margin-top: 4px
}

.mw-parser-output .mp-h2,
body.skin-timeless .mw-parser-output .mp-h2 {
  border: 1px solid #aaa;
  margin: 0.5em 0;
  padding: 0.2em 0.4em;
  font-size: 120%;
  font-weight: bold;
  font-family: inherit
}

.mw-parser-output .mp-later {
  font-size: 85%;
  font-weight: normal
}

.mw-parser-output #mp-topbanner {
  background: #f9f9f9;
  border-color: #ddd
}

.mw-parser-output #mp-welcomecount {
  text-align: center;
  margin: 0.4em
}

.mw-parser-output #mp-welcome {
  font-size: 162%;
  padding: 0.1em
}

.mw-parser-output #mp-welcome h1 {
  font-size: inherit;
  font-family: inherit;
  display: inline;
  border: none
}

.mw-parser-output #mp-free {
  font-size: 95%
}

.mw-parser-output #articlecount {
  font-size: 85%
}

.mw-parser-output .mp-contains-float::after {
  content: "";
  display: block;
  clear: both
}

.mw-parser-output #mp-banner {
  background: #fffaf5;
  border-color: #f2e0ce
}

.mw-parser-output #mp-left {
  background: #f5fffa;
  border-color: #cef2e0
}

.mw-parser-output #mp-left .mp-h2 {
  background: #cef2e0;
  border-color: #a3bfb1
}

.mw-parser-output #mp-right {
  background: #f5faff;
  border-color: #cedff2
}

.mw-parser-output #mp-right .mp-h2 {
  background: #cedff2;
  border-color: #a3b0bf
}

.mw-parser-output #mp-middle {
  background: #fff5fa;
  border-color: #f2cedd
}

.mw-parser-output #mp-middle .mp-h2 {
  background: #f2cedd;
  border-color: #bfa3af
}

.mw-parser-output #mp-lower {
  background: #faf5ff;
  border-color: #ddcef2
}

.mw-parser-output #mp-lower .mp-h2 {
  background: #ddcef2;
  border-color: #afa3bf
}

.mw-parser-output #mp-bottom {
  border-color: #e2e2e2
}

.mw-parser-output #mp-bottom .mp-h2 {
  background: #eee;
  border-color: #ddd
}

@media (max-width:875px) {
  .mw-parser-output #mp-tfp table,
  .mw-parser-output #mp-tfp tr,
  .mw-parser-output #mp-tfp td,
  .mw-parser-output #mp-tfp tbody {
    display: block !important;
    width: 100% !important;
    box-sizing: border-box
  }

  .mw-parser-output #mp-tfp tr:first-child td:first-child a {
    text-align: center;
    display: table;
    margin: 0 auto
  }
}

@media (min-width:875px) {
  .mw-parser-output #mp-upper {
    display: flex
  }

  .mw-parser-output #mp-left {
    flex: 1 1 50%;
    margin-right: 2px
  }

  .mw-parser-output #mp-right {
    flex: 1 1 50%;
    margin-left: 2px
  }
}

/* Column lists on the translation pages */

.mw-parser-output .column_lists {
  column-count: 3;
  column-width: 16em;
}

.mw-parser-output .column_lists > .group ul {
  margin-top: 0;
  margin-bottom: 0;
}

.mw-parser-output .column_lists > .group li {
  page-break-inside: avoid;
  break-inside: avoid-column;
}

/* Dark mode */
/* First style is dark mode chosen in dropdown */
/* Second style is automatic mode in dropdown + system dark mode */

html.skin-theme-clientpref-night .mw-parser-output #mp-topbanner {
  background-color: #171a1d;
  border-color: #676767
}

html.skin-theme-clientpref-night .mw-parser-output #mp-banner {
  background-color: #331a00;
  border-color: #663428
}

html.skin-theme-clientpref-night .mw-parser-output #mp-left {
  background-color: #0b1e1c;
  border-color: #104437
}

html.skin-theme-clientpref-night .mw-parser-output #mp-left .mp-h2 {
  background-color: #104437;
  border-color: #2f4d41
}

html.skin-theme-clientpref-night .mw-parser-output #mp-right {
  background-color: #0d1a27;
  border-color: #082849
}

html.skin-theme-clientpref-night .mw-parser-output #mp-right .mp-h2 {
  background-color: #082849;
  border-color: #a3b0bf
}

html.skin-theme-clientpref-night .mw-parser-output #mp-middle {
  background-color: #270e1a;
  border-color: #882c43
}

html.skin-theme-clientpref-night .mw-parser-output #mp-middle .mp-h2 {
  background-color: #882c43;
  border-color: #926c80
}

html.skin-theme-clientpref-night .mw-parser-output #mp-lower {
  background-color: #130e20;
  border-color: #7545ab
}

html.skin-theme-clientpref-night .mw-parser-output #mp-lower .mp-h2 {
  background-color: #7545ab;
  border-color: #afa3bf
}

html.skin-theme-clientpref-night .mw-parser-output #mp-bottom {
  border-color: #676767
}

html.skin-theme-clientpref-night .mw-parser-output #mp-bottom .mp-h2 {
  background-color: #3d3d3d;
  border-color: #676767
}

@media (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .mw-parser-output #mp-topbanner {
    background-color:#171a1d;
    border-color: #676767
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-banner {
    background-color: #331a00;
    border-color: #663428
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-left {
    background-color: #0b1e1c;
    border-color: #104437
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-left .mp-h2 {
    background-color: #104437;
    border-color: #2f4d41
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-right {
    background-color: #0d1a27;
    border-color: #082849
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-right .mp-h2 {
    background-color: #082849;
    border-color: #a3b0bf
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-middle {
    background-color: #270e1a;
    border-color: #882c43
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-middle .mp-h2 {
    background-color: #882c43;
    border-color: #926c80
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-lower {
    background-color: #130e20;
    border-color: #7545ab
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-lower .mp-h2 {
    background-color: #7545ab;
    border-color: #afa3bf
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-bottom {
    border-color: #676767
  }

  html.skin-theme-clientpref-os .mw-parser-output #mp-bottom .mp-h2 {
    background-color: #3d3d3d;
    border-color: #676767
  }
}



/* Styling of font picker and Fryas text on manuscript pages */

#fryas_font_picker {
  display: flex;
  align-items: center;
}

/* Hide the font picker in print preview */
@media print {
  #fryas_font_picker {
    visibility: hidden;
    height: 0;
    margin-top: -2.5em;
  }
}

#fryas_font_picker > .label {
  margin-right: 8px;
}

#fryas_font_picker > .picker {
  font-size: 1em;
  padding: 4px;
}

@font-face {
  font-family: "Fryas Standskrift";
  src: url("/resources/assets/fonts/FryasStandskrift.woff2") format("woff2"), url("/resources/assets/fonts/FryasStandskrift.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

/* 10 pt version is used because that is closest in thickness to the serif font used on the wiki */
@font-face {
  font-family: "Fryas Wagumskrift";
  src: url("/resources/assets/fonts/FryasWagumskrift10.woff2") format("woff2"), url("/resources/assets/fonts/FryasWagumskrift10.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

.fryas {
  font-family: "Fryas Standskrift";
}

.fryas.wagumskrift {
  font-family: "Fryas Wagumskrift";
  font-size: 1.05em;
  line-height: 1.52em;
}

.fryas.latin {
  font-family: "Georgia", "Times", serif;
}

/* Page and line numbers */

.fryas .page, .fryas .reference {
  font-family: "Georgia", "Times", serif;
  font-weight: normal;
  line-height: initial;
}

.fryas.wagumskrift .page, .fryas.latin .page {
  font-weight: bold;
}

.fryas.wagumskrift .page {
  font-size: 0.95em;
}

/* Separators between N and G */
.fryas:not(.latin) .sep {
  opacity: 0;
  margin-left: -6px;
}

.fryas.wagumskrift .sep {
  margin-left: -3.2px;
}



/* Side-by-side comparison of manuscript and transcription */

.mw-content-container {
  container-type: inline-size;
}

.manuscr_compar {
  display: flex;
  justify-content: center;
}

.manuscr_compar > .left > h2 {
  text-align: center;
  width: calc(100% - 0.95em);
}

.manuscr_compar > .right > h2 {
  margin-bottom: 0.6em;
  text-align: center;
}

/* Max widths, font sizes and line heights are medians of the optimal line heights on 24 pages */

.manuscr_compar > .right > .fryas {
  display: flex;
  justify-content: center;
  flex-direction: column;
  max-width: 422px;
  height: calc(100% - 8em);
}

.manuscr_compar.top > .right > .fryas {
  justify-content: normal;
}

.manuscr_compar > .right > .fryas.wagumskrift,
.manuscr_compar > .right > .fryas.latin {
  max-width: 500px;
  height: calc(100% - 7em);
}

.manuscr_compar > .right > .fryas p,
.manuscr_compar > .right > .fryas dl,
.manuscr_compar > .right > .fryas li {
  font-size: 1.05em;
  line-height: 1.2;
}

.manuscr_compar > .right > .fryas.wagumskrift p,
.manuscr_compar > .right > .fryas.wagumskrift dl,
.manuscr_compar > .right > .fryas.wagumskrift li {
  font-size: 1em;
  line-height: 1.29;
}

.manuscr_compar > .right > .fryas.latin p,
.manuscr_compar > .right > .fryas.latin dl,
.manuscr_compar > .right > .fryas.latin li {
  font-size: 1em;
  line-height: 1.35;
}

.manuscr_compar > .right > .fryas > hr {
  flex: 0 0 1px;
}

.manuscr_compar > .right > .fryas > p,
.manuscr_compar > .right > .fryas > dl,
.manuscr_compar > .right > .fryas > hr,
.manuscr_compar > .right > .fryas > table {
  margin: 0.5em 0 0 0;
}

.manuscr_compar > .right > .fryas > ul {
  margin: 0.5em 0 0 1em;
}

.manuscr_compar > .right > .fryas > ul > li {
  margin-bottom: 0.2em;
}

.manuscr_compar > .right > .fryas > ul > li:last-child {
  margin-bottom: 0;
}

.manuscr_compar > .right > .fryas > p:first-child,
.manuscr_compar > .right > .fryas > dl:first-child,
.manuscr_compar > .right > .fryas > hr:first-child,
.manuscr_compar > .right > .fryas > table:first-child,
.manuscr_compar > .right > .fryas > ul:first-child {
  margin-top: 0;
}

/* Prevent visual editor from adding unnecessary margins */
.manuscr_compar .ve-ce-branchNode-blockSlug,
.manuscr_compar .ve-ce-branchNode-newSlug {
  display: none;
}

/* Align transcription at the top when there is not enough space to center it */

@container (max-width: 950px) {
  .manuscr_compar > .right > .fryas.wagumskrift,
  .manuscr_compar > .right > .fryas.latin {
    justify-content: normal;
  }
}

@container (max-width: 900px) {
  .manuscr_compar > .right > .fryas {
    justify-content: normal;
  }
}

/* Wrap transcription below manuscript when the space becomes too crammed */
@container (max-width: 800px) {
  .manuscr_compar {
    flex-direction: column;
  }
  .manuscr_compar > .left > h2 {
    text-align: left;
    width: auto;
  }
  .manuscr_compar > .left > .thumb {
    margin-bottom: 0;
  }
  .manuscr_compar > .right > h2 {
    text-align: left;
    margin-bottom: 0.5em;
  }
  .manuscr_compar > .right > .fryas,
  .manuscr_compar > .right > .fryas.wagumskrift,
  .manuscr_compar > .right > .fryas.latin {
    max-width: inherit;
    padding-top: 0 !important;
  }
  .manuscr_compar > .right > .fryas > p,
  .manuscr_compar > .right > .fryas.wagumskrift > p,
  .manuscr_compar > .right > .fryas.latin > p,
  .manuscr_compar > .right > .fryas > dl,
  .manuscr_compar > .right > .fryas.wagumskrift > dl,
  .manuscr_compar > .right > .fryas.latin > dl {
    line-height: 1.3;
  }
}



/* Six-spoke wheel on p. 45 and 46 */
/* Todo: Replace with SVG */

.circle_cont {
  display: flex;
  justify-content: center;
  margin: 1em 0;
}

.six_circle {
  position: relative;
  width: 80px;
  min-height: 80px;
  border: 1px solid;
  border-radius: 50%;
}

.six_circle > .letter {
  position: absolute;
  left: 40%;
  top: 35%;
  width: 16px;
  text-align: center;
  user-select: none;
  pointer-events: none;
}

.six_circle > .letter:nth-child(1):before,
.six_circle > .letter:nth-child(2):before,
.six_circle > .letter:nth-child(3):before {
  content: "";
  background-color: black;
  width: 1px;
  height: 81px;
  position: absolute;
  left: 47%;
  top: 88%;
  rotate: 30deg;
}

.six_circle > .letter:nth-child(1) {
  transform: rotate(30deg) translateY(-50px);
}

.fryas:not(.wagumskrift):not(.latin) .six_circle > .letter.small:nth-child(1) {
  font-size: 86%;
  line-height: 1.63;
  transform: rotate(30deg) translateX(0.8px) translateY(-47.6px)
}

.six_circle > .letter:nth-child(2) {
  transform: rotate(90deg) translateY(-50px);
}

.six_circle > .letter:nth-child(3) {
  transform: rotate(150deg) translateY(-50px);
}

.six_circle > .letter:nth-child(4) {
  transform: rotate(210deg) translateY(-50px);
}

.six_circle > .letter:nth-child(5) {
  transform: rotate(270deg) translateY(-50px);
}

.six_circle > .letter:nth-child(6) {
  transform: rotate(330deg) translateY(-50px);
}

.six_circle > .letter:nth-child(7) {
  font-size: 250%;
  line-height: 0;
  transform: translateY(-47px);
}

.fryas.wagumskrift .six_circle > .letter:nth-child(7) {
  transform: translateY(-45px);
}

.fryas.latin .six_circle > .letter:nth-child(7) {
  transform: translateY(-48px);
}